# Build Kjar in Wildfly issue reproducer

The aim of this reproducer is to demonstrate that building a KieModule with executable model fails when executed in
a wildfly container with the following error:

    Error Messages:
    Message [id=1, level=ERROR, path=src/main/java/org.drools.reproducer/DomainClassesMetadata71E36BCC7D89430EC0E872CFFD5B8B5D.java, line=2, column=44
       text=The type DomainClassesMetadata71E36BCC7D89430EC0E872CFFD5B8B5D collides with a package]
    Message [id=2, level=ERROR, path=src/main/java/org.drools.reproducer/DomainClassesMetadata71E36BCC7D89430EC0E872CFFD5B8B5D.java, line=0, column=0
       text=Java source of src/main/java/org.drools.reproducer/DomainClassesMetadata71E36BCC7D89430EC0E872CFFD5B8B5D.java in error:
    package org.drools.reproducer;
    public class DomainClassesMetadata71E36BCC7D89430EC0E872CFFD5B8B5D {
    
        public static final org.drools.model.DomainClassMetadata java_lang_String_Metadata_INSTANCE = new java_lang_String_Metadata();
        private static class java_lang_String_Metadata implements org.drools.model.DomainClassMetadata {
    
            @Override
            public Class<?> getDomainClass() {
                return java.lang.String.class;
            }
    
            @Override
            public int getPropertiesSize() {
                return 2;
            }
    
            @Override
            public int getPropertyIndex( String name ) {
                switch(name) {
                    case "bytes": return 0;
                    case "empty": return 1;
                 }
                 throw new RuntimeException("Unknown property '" + name + "' for class class class java.lang.String");
            }
        }
    
    }]

## How to reproduce

     mvn clean install -Pwildfly-managed
